列出 appConsentRequests
本文内容
命名空间:microsoft.graph
检索 appConsentRequest 对象及其属性。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
ConsentRequest.Read.All、ConsentRequest.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
ConsentRequest.Read.All、ConsentRequest.ReadWrite.All
HTTP 请求
GET /identityGovernance/appConsent/appConsentRequests
可选的查询参数
此方法支持 $select``$skip``$top OData 查询参数,$orderby``$filter以帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数 。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 appConsentRequest 对象集合。
示例
请求
GET https://graph.microsoft.com/v1.0/identityGovernance/appConsent/appConsentRequests
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var appConsentRequests = await graphClient.IdentityGovernance.AppConsent.AppConsentRequests
.Request()
.GetAsync();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
const options = {
authProvider,
};
const client = Client.init(options);
let appConsentRequests = await client.api('/identityGovernance/appConsent/appConsentRequests')
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/v1.0/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/identityGovernance/appConsent/appConsentRequests"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphAppConsentRequest *appConsentRequest = [[MSGraphAppConsentRequest alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
AppConsentRequestCollectionPage appConsentRequests = graphClient.identityGovernance().appConsent().appConsentRequests()
.buildRequest()
.get();
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
result, err := graphClient.IdentityGovernance().AppConsent().AppConsentRequests().Get()
有关如何将 SDK 添加 到项目并 创建 authProvider 实例的 详细信息,请参阅 SDK 文档 。
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#identityGovernance/appConsent/appConsentRequests",
"@odata.count": 1,
"value": [
{
"id": "af330b30-dd59-4482-a848-0fd81b0438ed",
"appId": "3ca5f23f-94b4-4930-aec9-b8ca0f060e68",
"appDisplayName": "Moodle",
"pendingScopes": [],
"userConsentRequests": []
}
]
}